#pragma once

#include <RobotAPI/interface/objectpose/object_pose_types.h>


namespace armarx::objpose::arondto
{
    class ObjectAttachmentInfo;
    class ObjectType;
    class ObjectPose;
}
namespace armarx::objpose
{
    class ObjectAttachmentInfo;
    class ObjectPose;


    void fromAron(const arondto::ObjectAttachmentInfo& dto, ObjectAttachmentInfo& bo);
    void toAron(arondto::ObjectAttachmentInfo& dto, const ObjectAttachmentInfo& bo);

    void fromAron(const arondto::ObjectType& dto, ObjectType& bo);
    void toAron(arondto::ObjectType& dto, const ObjectType& bo);

    void fromAron(const arondto::ObjectPose& dto, ObjectPose& bo);
    void toAron(arondto::ObjectPose& dto, const ObjectPose& bo);
}
