#ifndef MOTIONPRIMITIVES_H
#define MOTIONPRIMITIVES_H

#include <filesystem>
#include <iostream>
#include <fstream>
#include <optional>

// ArmarX
#include <RobotAPI/libraries/armem_motions/aron/MDBReference.aron.generated.h>
#include <RobotAPI/libraries/armem_mps/aron/Trajectory.aron.generated.h>

namespace armarx::armem::mps
{

    std::optional<arondto::Trajectory> createFromFile(const std::filesystem::path& pathToInfoJson, bool taskspace);

}
#endif // MOTIONPRIMITIVES_H
