#pragma once

// Base Class
#include "../Converter.h"

namespace armarx::armem::server::ltm::converter::image
{
    class PngConverter;
    using PngConverterPtr = std::shared_ptr<PngConverter>;

    class PngConverter : public ImageConverter
    {
    public:
        PngConverter() :
            ImageConverter(ConverterType::Str, ".png")
        {}

        virtual std::vector<unsigned char> convert(const aron::data::NDArrayPtr& data) override;
        virtual aron::data::NDArrayPtr convert(const std::vector<unsigned char>& data) override;
    };
}
